import AudioPreview from '../audio/AudioPreview.vue';
import DividerPreview from '../divider/DividerPreview.vue';
import SpacingPreview from '../spacing/SpacingPreview.vue';
import PicturePreview from '../picture/PicturePreview.vue';
import VideoPreview from '../video/VideoPreview.vue';
import StemPreview from '../stem/StemPreview.vue';
import DescribePreview from '../describe/DescribePreview.vue';
import LabelPreview from '../label/LabelPreview.vue';
import SelectPreview from '../select/SelectPreview.vue';

export const previewComponentMap = {
  audio: AudioPreview,
  divider: DividerPreview,
  spacing: SpacingPreview,
  picture: PicturePreview,
  video: VideoPreview,
  stem: StemPreview,
  describe: DescribePreview,
  label: LabelPreview,
  select: SelectPreview,
};
